| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Num.IAffineTransformation Interface Reference

Affine Transformation. More...

Inheritance diagram for IG.Num.IAffineTransformation:
[legend]

## Public Member Functions
void | CopyTransformationMatrix (ref IMatrix store)
| Copies transformation matrix to the specified storage matrix. More...
void | CopyInverseTransformationMatrix (ref IMatrix store)
| Copies inverse transformation matrix to the specified storage matrix. More...
void | TransformCoordinatesPlain (IVector original, IVector transformed)
| Transforms co-ordinates from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformCoordinates (IVector original, ref IVector transformed)
| Transforms co-ordinates from the reference to the transformed space. More...
void | TransformBackCoordinatesPlain (IVector transformed, IVector original)
| Backward transforms co-ordinates from the transformed to the reference space. More...
void | TransformBackCoordinates (IVector transformed, ref IVector original)
| Backward transforms co-ordinates from the transformed to the reference space. More...
void | TransformGradientPlain (IVector original, IVector result)
| Transforms gradient (or other covariant vector) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformGradient (IVector original, ref IVector result)
| Transforms gradient (or other covariant vector) from the reference to the transformed space. More...
void | TransformBackGradientPlain (IVector transformed, IVector result)
| Backward transforms gradient (or other covariant vector) from the transformed to the reference space. More...
void | TransformBackGradient (IVector transformed, ref IVector result)
| Backward transforms gradient (or other covariant vector) from the transformed to the reference space. More...
void | TransformHessianPlain (IMatrix original, IMatrix result)
| Transforms Hessian (or other covariant matrix) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformHessian (IMatrix original, ref IMatrix result)
| Transforms Hessian (or other covariant matrix) from the reference to the transformed space. More...
void | TransformBackHessianPlain (IMatrix transformed, IMatrix result)
| Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space. More...
void | TransformBackHessian (IMatrix transformed, ref IMatrix result)
| Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space. More...

## Properties
int | DimensionOriginal`[get]`
int | DimensionTransformed`[get]`
IMatrix | TransformationMatrix`[get, set]`
| Get or set the transformation matrix. More...
IMatrix | InverseTransformationMatrix`[get, set]`
| Gets or sets inverse transformation matrix. More...
IVector | TranslationVector`[get, set]`
| Gets or sets the translation vector. More...

## Detailed Description

Affine Transformation.

$A Igor Jul10;

## Member Function Documentation

void IG.Num.IAffineTransformation.CopyTransformationMatrix | ( | ref IMatrix | store | ) |

Copies transformation matrix to the specified storage matrix.

Parameters

  store | Storage matrix that transformation matrix is copied to.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.CopyInverseTransformationMatrix | ( | ref IMatrix | store | ) |

Copies inverse transformation matrix to the specified storage matrix.

Parameters

  store | Storage matrix that inverse transformation matrix is copied to.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformCoordinatesPlain | ( | IVector | original,
|  | IVector | transformed
| ) |  |

Transforms co-ordinates from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions.

Parameters

  original | Vector of original co-ordinates.
  transformed | Vector where transformed co-ordinates are stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformCoordinates | ( | IVector | original,
|  | ref IVector | transformed
| ) |  |

Transforms co-ordinates from the reference to the transformed space.

Parameters

  original | Vector of original co-ordinates.
  transformed | Vector where transformed co-ordinates are stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackCoordinatesPlain | ( | IVector | transformed,
|  | IVector | original
| ) |  |

Backward transforms co-ordinates from the transformed to the reference space.

Parameters

  transformed | Vector of transformed co-ordinates.
  original | Vector where inverse-transformed original co-ordinates are stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackCoordinates | ( | IVector | transformed,
|  | ref IVector | original
| ) |  |

Backward transforms co-ordinates from the transformed to the reference space.

Parameters

  transformed | Vector of transformed co-ordinates.
  original | Vector where inverse-transformed original co-ordinates are stored.

Implemented in IG.Num.AffineTransformationSquare.

Referenced by IG.Num.ScalarFunctionBase.GradientPlain(), IG.Num.ScalarFunctionBase.HessianPlain(), and IG.Num.ScalarFunctionBase.Value().

void IG.Num.IAffineTransformation.TransformGradientPlain | ( | IVector | original,
|  | IVector | result
| ) |  |

Transforms gradient (or other covariant vector) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions.

Parameters

  original | Original gradient-like vector.
  result | Vector where resulting transformed vector is stored.

Implemented in IG.Num.AffineTransformationSquare.

Referenced by IG.Num.ScalarFunctionBase.GradientPlain().

void IG.Num.IAffineTransformation.TransformGradient | ( | IVector | original,
|  | ref IVector | result
| ) |  |

Transforms gradient (or other covariant vector) from the reference to the transformed space.

Parameters

  original | Original gradient-like vector.
  result | Vector where resulting transformed vector is stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackGradientPlain | ( | IVector | transformed,
|  | IVector | result
| ) |  |

Backward transforms gradient (or other covariant vector) from the transformed to the reference space.

Parameters

  transformed | Transformed gradient-like vector.
  result | Vector where resulting backward transformed vector is stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackGradient | ( | IVector | transformed,
|  | ref IVector | result
| ) |  |

Backward transforms gradient (or other covariant vector) from the transformed to the reference space.

Parameters

  transformed | Transformed gradient-like vector.
  result | Vector where resulting backward transformed vector is stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformHessianPlain | ( | IMatrix | original,
|  | IMatrix | result
| ) |  |

Transforms Hessian (or other covariant matrix) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions.

Parameters

  original | Original matrix.
  result | Matrix where resulting transformed matrix is stored.

Implemented in IG.Num.AffineTransformationSquare.

Referenced by IG.Num.ScalarFunctionBase.HessianPlain().

void IG.Num.IAffineTransformation.TransformHessian | ( | IMatrix | original,
|  | ref IMatrix | result
| ) |  |

Transforms Hessian (or other covariant matrix) from the reference to the transformed space.

Parameters

  original | Original matrix.
  result | Matrix where resulting transformed matrix is stored. Allocated/reallocated if necessary.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackHessianPlain | ( | IMatrix | transformed,
|  | IMatrix | result
| ) |  |

Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space.

Parameters

  transformed | Matrix in transformed coordinates.
  result | Matrix where resulting backward-transformed matrix is stored.

Implemented in IG.Num.AffineTransformationSquare.

void IG.Num.IAffineTransformation.TransformBackHessian | ( | IMatrix | transformed,
|  | ref IMatrix | result
| ) |  |

Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space.

Parameters

  transformed | Matrix in transformed coordinates.
  result | Matrix where resulting backward-transformed matrix is stored. Allocated/reallocated if necessary.

Implemented in IG.Num.AffineTransformationSquare.

## Property Documentation

int IG.Num.IAffineTransformation.DimensionOriginal
| get

int IG.Num.IAffineTransformation.DimensionTransformed
| get

IMatrix IG.Num.IAffineTransformation.TransformationMatrix
| get set

Get or set the transformation matrix.

IMatrix IG.Num.IAffineTransformation.InverseTransformationMatrix
| get set

Gets or sets inverse transformation matrix.

IVector IG.Num.IAffineTransformation.TranslationVector
| get set

Gets or sets the translation vector.

The documentation for this interface was generated from the following file:

- igbase/numeric/TransformationAffineInt.cs